<?php
//////////////////////////////
// DISPLAY INDEX (THUMBS)	//
//////////////////////////////

	// kh_mod 0.1.0, add
	if ((int)$mg2->foldersort>0)
		$tmp_sort = (int)$mg2->foldersort;		// global setting
	else
		$tmp_sort = (int)$mg2->folder_sortby;	// folder setting

	switch ($tmp_sort) {
		case  1 : $trans_sortby =  2; break;	// filename		->	foldername
		case  3 : $trans_sortby =  2; break;	// title			->	foldername
		case  4 : $trans_sortby = 10; break;	// description	->	description
		case  5 : $trans_sortby =  2; break;	// filesize		->	foldername
		case  6 : $trans_sortby =  2; break;	// width			->	foldername
		case  7 : $trans_sortby =  2; break;	// height		->	foldername
		case 10 : $trans_sortby =  6; break;	// timestamp		->	timestamp
		case 11 : $trans_sortby = 11; break;	// position		->	position
		default : $trans_sortby =  2;
	}
	// end

	$folders  = $mg2->select($list,$mg2->all_folders,1,$trans_sortby,$mg2->folder_sortway,6);			// kh_mod 0.1.0, changed
	$images   = $mg2->select($list,$mg2->all_images,2,$mg2->folder_sortby,$mg2->folder_sortway,10);	// kh_mod 0.1.0, changed
	$cfolders = count($folders);																							// kh_mod 0.1.0, add
	$cimages  = count($images);																							// kh_mod 0.1.0, add

	//
	// PAGE COUNTER
	// kh_mod 0.1.0, changed

	//CALCULATE NUMBER OF PAGES NEEDED
	$prpage = $mg2->imagecolumns * $mg2->imagerows;
	$pages  = ceil(($cfolders + $cimages)/$prpage);

	//CALCULATE FIRST AND LAST INDEX OF PAGE 
	if ((int)$current_page > $pages) $current_page = '1';
	if ($current_page == 'all') {
		$first = 0;
		$last  = $cfolders + $cimages;
	}
	else {
		$first = $prpage * ($current_page - 1);
		$last  = $first + $prpage;
	}

	// STARTIMAGE
	$mg2->startimage = (!empty($cimages))?
							 $images[0][0] .'&amp;list='. $list .'&amp;page='. $current_page
							 :
							 '';

	// DISPLAY THUMBNAIL HEADER
	thumbnails_begin($pages, $list);

	//DISPLAY EMPTY MESSAGE
	if ($cfolders == 0 && $cimages == 0) {
		echo '<td align="center"><nobr><b>'.$mg2->lang['folderempty'] .'</b></nobr></td>';
		include('skins/'.$mg2->activeskin.'/templates/thumbnails_end.php');
		exit();
	}

	//DISPLAY FOLDERS
	$upto = ($cfolders < $last)? $cfolders:$last;
	for ($i=$first; $i < $upto; $i++) {
		$mg2->link = $mg2->indexfile .'?list='. $folders[$i][0];
		$mg2->thumbfile  = $mg2->getthumb($folders[$i]);
		$mg2->foldername = ($folders[$i][2])? $folders[$i][2]:'&nbsp;';

		// MARK NEW FOLDERS
		if ((time() - $folders[$i][6]) < ($mg2->marknew * 84600)) {
			$mg2->new = true;
		} else $mg2->new = false;

		include('skins/'.$mg2->activeskin.'/templates/subfolder.php');
		$col_idx = ($i % $mg2->imagecolumns) + 1;
		if ($col_idx >= $mg2->imagecolumns && ($i+1) < $last) echo '</tr><tr>';
	}

	// CALCULATE THUMBS
	$first = $i    - $cfolders;
	$last  = $last - $cfolders;
	$upto  = ($cimages < $last)? $cimages:$last;

	// SUPPORT CLICK COUNTER
	if ($mg2->setCounter && $cimages) {
		for ($i=$first; $i < $upto; $i++) { $data[$images[$i][0]] = 0; }
		$Counter = new MG2counter($data);
	}

	// DISPLAY THUMBS
	for ($i=$first; $i < $upto; $i++) {
		$mg2->link = $mg2->indexfile .'?id='. $images[$i][0];
		$mg2->width  = $images[$i][6];
		$mg2->height = $images[$i][7];
		$mg2->thumb_width  = $images[$i][8];
		$mg2->thumb_height = $images[$i][9];

		// THUMBNAIL TITLE
		if ($mg2->displayfile)					// kh_mod 0.1.0, add
			$mg2->title = $images[$i][1];		// display filename under thumbs
		elseif (strlen($images[$i][3]) > $skin_titlelimit)
			$mg2->title = substr($images[$i][3],0,$skin_titlelimit) . '...';
		else
			$mg2->title = $images[$i][3];
		if ($mg2->title == '') $caption = '&nbsp;';

		// CHECK THUMB PICTURE
		$mg2->thumbfile = $mg2->thumb($images[$i][1]);
		if(!is_readable($mg2->thumbfile)) {
			$mg2->thumbfile = $mg2->image($images[$i][1]);
			if (!is_readable($mg2->thumbfile)) {
				$mg2->thumbfile = $mg2->adminfolder .'images/1x1.gif';
				$mg2->thumb_width  = '150px';
				$mg2->thumb_height = '150px';
			}
		}

		// MARK NEW FILES
		if ((time() - $images[$i][10]) < ($mg2->marknew * 84600))
			$mg2->new = true;
		else
			$mg2->new = false;

		include('skins/'.$mg2->activeskin.'/templates/thumb.php');
		$col_idx = (($i+$cfolders) % $mg2->imagecolumns) + 1;
		if ($col_idx >= $mg2->imagecolumns && $i+1 < $last) echo '</tr><tr>';
	}

	// FILL ROW WITH EMPTY TD TAGS
	while ($col_idx < $mg2->imagecolumns) {
		echo '<td>&nbsp;</td>';
		$col_idx = (($i+$cfolders) % $mg2->imagecolumns) + 1;
		$i++;
	}

	// CREDITS - DO NOT REMOVE OR YOU WILL VOID MG2 TERMS OF USE!
	if (($_REQUEST['list'] == "1" || $_REQUEST['list'] == "") && !isset($_REQUEST['id'])) {
		echo '
		</tr>
		<tr>
			<td colspan="'.$mg2->imagecolumns.'">
		';
		// kh_mod 0.1.0, add
		if ($_SESSION['folderpwd'] != "")
			echo '<div class="credits"><a href="'.$mg2->indexfile.'?action=logout">'.$mg2->lang['logout'].'</a></div>';
		elseif ($logoutmsg)
			echo '<div class="credits">'.$mg2->lang['logoutok'].'</div>';
		// end
		echo '
				<br />
				<div class="credits">
					Powered by <a href="http://www.minigal.dk" target="_blank">MG2</a> v'. $mg2->version .'
					(<a href="http://www.tangata.de/kh_mod/" target="_blank">kh_mod</a> v'.$mg2->modversion.')
				</div>
			</td>
		';
	} else {
		echo '</tr><tr><td colspan="'.$mg2->imagecolumns.'">&nbsp;</td>';
	}
	include('skins/'.$mg2->activeskin.'/templates/thumbnails_end.php');
?>
